Bug 129724 - [Maintainer] Update lang/mono framework to 2.0.1
[Maintainer] Update lang/mono framework to 2.0.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 00:40 UTC by pneumann
Modified: 2009-02-09 09:10 UTC (History)
1 user (show)

See Also:


Attachments
mono.diff (155.01 KB, patch)
2009-01-15 20:18 UTC, Wesley Shields
no flags Details | Diff
mono.diff (170.11 KB, patch)
2009-01-16 20:59 UTC, Wesley Shields
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pneumann 2008-12-18 00:40:01 UTC

[wxs@ is interested on this one]

The idea of this PR is to merge the mono framework to the lastest stable version (2.0.1)

It consists of two PRs.
The first one (this) updates existing port.
Next one will include new ports.

The new version passes all "internal" mono tests, except one on AMD64 [0], wich doesnt seems to affect any of the port.
Several ports where used and tested on the new version, all worked ok.

Romain, im CC to you too :)


The bsd# repo was just tagged for merging proposes, so eventually future updated will not interfere with this PR:
svn co http://bsd-sharp.googlecode.com/svn/tags/merge_17dic bsd-sharp-tree

The idea is to update the following ports bases on the above repo:
/usr/ports/audio/muine/
/usr/ports/deskutils/tomboy/
/usr/ports/devel/mono-tools/
/usr/ports/devel/monodoc/
/usr/ports/lang/mono/
/usr/ports/www/gecko-sharp20/
/usr/ports/x11-toolkits/gtk-sharp20/
/usr/ports/x11-toolkits/gnome-sharp20/
/usr/ports/x11-toolkits/gtksourceview-sharp/
/usr/ports/x11-toolkits/libgdiplus/
/usr/ports/net/blam/
/usr/ports/editors/bless/
/usr/ports/graphics/f-spot/
/usr/ports/mail/evolution-sharp/
/usr/ports/mail/gmime2-sharp/
/usr/ports/mail/gmime2/
/usr/ports/mail/gmime2-sharp/

Plus, update /usr/ports/Mk/bsd.gnome.mk and add the port 
x11-toolkits/gnome-desktop-sharp20
(Some of the above ports depends on this one)


Any problems/questions/tips just tell us!


Thanks!
________________

[0] https://bugzilla.novell.com/show_bug.cgi?id=458931

Project by: BSD#
Reference: http://code.google.com/p/bsd-sharp/
Comment 1 Rong-En Fan freebsd_committer 2008-12-18 01:23:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

wxs@ is interested in this.
Comment 2 Edwin Groothuis freebsd_committer 2008-12-18 10:04:27 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 3 Edwin Groothuis freebsd_committer 2008-12-18 10:04:29 UTC
Maintainer of lang/mono,

Please note that PR ports/129724 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/129724

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Edwin Groothuis freebsd_committer 2008-12-18 10:04:33 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 5 romain 2008-12-21 16:36:01 UTC
Hi!

I have created a branch to maintain mono-2.0 in the BSD# tree, that only
includes the desired ports:
http://bsd-sharp.googlecode.com/svn/branches/bsd-sharp-releng-2.0/

It has been tagged here:
http://bsd-sharp.googlecode.com/svn/tags/bsd-sharp-20081221/

It might ease things in the future.


A few notes:

=== Regarding Mk/bsd.gnome.mk ===

I asked Jeremy Messenger to have a look to the modifications I made to
Mk/bsd.gnome.mk. His positive review is here:
http://groups.google.com/group/bsd-sharp/msg/db9eb3ebd08cdd60?dmode=source

=== Regarding mail/evolution-sharp ===

The port mail/evolution-sharp has been removed since it is already in
MarcusCom repository (for the future commit of GNOME 2.24) and is not
needed by any of the ports that are mentioned in this problem-report.

=== Regarding mail/gmime2 and dependencies ===

The port mail/gmime2 has been updated (2.4.2) compared to the one
provided in the FreeBSD ports tree (2.2.22), however it is not
maintained by the BSD# team but mnag@ (The reason you are in CC ;-) ).

The port mail/gmime2 has been updated because mail/gmime2-sharp<2.4 does
not build with mono>=2.0 because of new security features.  Since
deskutils/tomboy depends on mail/gmime2-sharp, we updated both
mail/gmime2 and mail/gmime2-sharp to the latest available version so
that deskutils/tomboy could also be updated.
We can either update the following ports or skip them, accordingly to
the wishes of the maintainer of mail/gmime2:
  - mail/gmime2
  - mail/gmime2-sharp
  - deskutils/tomboy

A workaround would be tu use mail/gmime2-sharp20 which is an ugly hack
I made for test purpose that patches gmime2-sharp-2.2 with the fixes
introduced in gmime2-sharp-2.4.  It is however really ugly and would
prefer to avoid this.  If this solution is chosen, mail/gmime2-sharp20
should be committed as mail/gmime2-sharp.

To sum up, whatever we choose, their shall not be any mail/gmime2-sharp20
port in the FreeBSD ports tree.

=== Regarding mail/gmime2-sharp20 ===

Not to be committed as it (see notes regarding mail/gmime2).



Thank you!

With kind regards,
Romain



-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 6 mezz7 2009-01-13 04:36:35 UTC
Romain is correct for I am ok with bsd.gnome.mk patch.

Cheers,
Mezz


-- 
mezz7@cox.net  -  mezz@FreeBSD.org
FreeBSD GNOME Team
http://www.FreeBSD.org/gnome/  -  gnome@FreeBSD.org
Comment 7 romain 2009-01-15 16:15:50 UTC
Hi

A new tag has been created yesterday. This fix a few issues and sync
Mk/bsd.gnome.mk with the one provided in the FreeBSD ports tree:
http://bsd-sharp.googlecode.com/svn/tags/bsd-sharp-20090114/


With kind regards,
Romain



-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 8 Wesley Shields freebsd_committer 2009-01-15 16:26:34 UTC
I just spent last night and this morning merging the tree - I was going
to send out a patch for review to make sure I didn't miss anything.
I'll update the patch today and hopefully get it out soon.

-- WXS
Comment 9 romain 2009-01-15 16:54:50 UTC
Hi

On Thu, Jan 15, 2009 at 11:26:34AM -0500, Wesley Shields wrote:
> I just spent last night and this morning merging the tree - I was going
> to send out a patch for review to make sure I didn't miss anything.
> I'll update the patch today and hopefully get it out soon.


Great!

As you can see:
$ svn diff http://bsd-sharp.googlecode.com/svn/tags/bsd-sharp-20081221/ \
           http://bsd-sharp.googlecode.com/svn/tags/bsd-sharp-20090114/

The diff is quite small:
Mk/bsd.gnome.mk:	Sync with FreeBSD ports
deskutils/tomboy:	Update to tomboy-0.12.2
lang/mono:		Add one patch and bump PORTREVISION
mail/gmime2:		Update to gmime-2.4.3

Good luck!
Romain

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 10 Wesley Shields freebsd_committer 2009-01-15 20:18:22 UTC
I want to make sure I got everything here before I send it off for a
-exp run.  Can you please verify this patch?

I've left out the parts that deal with OSVERSION < 6.0 as that has been
removed from other ports recently.  I think I've merged all the relevant
parts, but please double check this for me.  Thanks!

-- WXS
Comment 11 romain 2009-01-16 12:30:27 UTC
Hi

On Thu, Jan 15, 2009 at 03:18:22PM -0500, Wesley Shields wrote:
> I want to make sure I got everything here before I send it off for a
> -exp run.  Can you please verify this patch?
> 
> I've left out the parts that deal with OSVERSION < 6.0 as that has been
> removed from other ports recently.  I think I've merged all the relevant
> parts, but please double check this for me.  Thanks!


I have just tested this patch and only a few adjustments have to be
done.

The idea is that 2 days ago, the BSD# ports on top of a fresh FreeBSD
ports tree built well. So I wanted to sync the FreeBSD ports tree and
patch it with your patch in a directory; and add compare this with the
BSD# ports on top of the same FreeBSD ports tree in another directory.

The patch apply without any problem. I used ``diff -nu'' to look for
diferences.

Problems I found:
=================

1. Makefile
The root Makefile has been prepended with the content of
x11-toolkits/gnome-desktop-sharp/Makefile...

2. net/blam
It seems I created a port that already existed instead of updating it.
=> Merged to trunk (but kept MAN1 aligned with the rest).
However, I had it working without any patch, so I guess you should
delete net/blam/files/*

Differences I consider OK:
==========================

1. audio/muine/Makefile
Simplify => Merged in trunk

2. lang/mono/Makefile
Fix tab, Removed conditionals for unsuported FreeBSD versions, Removed
unused extra patch => Merged in trunk

3. x11-toolkits/gnome-sharp20/Makefile
Remove escaped linebreak => Merged in trunk

4. x11-toolkits/gtk-sharp20/Makefile
Fixed MASTER_SITES => Merged in trunk but with MASTER_SITE=GNOME ...
seems more correct!

5. x11-toolkits/libgdiplus/Makefile
Replace INSTALLS_SHLIB=yes with USE_LDCONFIG=yes, Removed conditionnal
for unsupported FreeBSD version => Merged in trunk


Thank's!

Romain

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 12 Wesley Shields freebsd_committer 2009-01-16 20:59:23 UTC
On Fri, Jan 16, 2009 at 01:30:27PM +0100, Romain Tarti?re wrote:
> Hi
> 
> On Thu, Jan 15, 2009 at 03:18:22PM -0500, Wesley Shields wrote:
> > I want to make sure I got everything here before I send it off for a
> > -exp run.  Can you please verify this patch?
> > 
> > I've left out the parts that deal with OSVERSION < 6.0 as that has been
> > removed from other ports recently.  I think I've merged all the relevant
> > parts, but please double check this for me.  Thanks!
> 
> I have just tested this patch and only a few adjustments have to be
> done.
> 
> The idea is that 2 days ago, the BSD# ports on top of a fresh FreeBSD
> ports tree built well. So I wanted to sync the FreeBSD ports tree and
> patch it with your patch in a directory; and add compare this with the
> BSD# ports on top of the same FreeBSD ports tree in another directory.
> 
> The patch apply without any problem. I used ``diff -nu'' to look for
> diferences.
> 
> Problems I found:
> =================
> 
> 1. Makefile
> The root Makefile has been prepended with the content of
> x11-toolkits/gnome-desktop-sharp/Makefile...

Can you please explain this?  Maybe I'm just missing the section of the
patch you are talking about.

> 2. net/blam
> It seems I created a port that already existed instead of updating it.
> => Merged to trunk (but kept MAN1 aligned with the rest).
> However, I had it working without any patch, so I guess you should
> delete net/blam/files/*

OK, they are removed.

I did notice that www/webkit-sharp and mail/gmime2-sharp20 were
missing from my patch.  I've attached an updated patch for your review.

Thanks!

-- WXS
Comment 13 romain 2009-01-17 22:02:46 UTC
Hi!

On Fri, Jan 16, 2009 at 03:59:23PM -0500, Wesley Shields wrote:
> > Problems I found:
> > =================
> > 1. Makefile
> > The root Makefile has been prepended with the content of
> > x11-toolkits/gnome-desktop-sharp/Makefile...
> 
> Can you please explain this?  Maybe I'm just missing the section of the
> patch you are talking about.


Hummm ... I rm'd the port tree after and can't see something indicating
that in the diff ...

However, the problem has just been reproduced with this new patch:

shell$ rm -r ports
shell$ portsnap -p ports extract
shell$ cd ports
shell$ cp Makefile Makefile.before
shell$ patch --silent --remove-empty-files < ../mono.diff
shell$ diff Makefile.before Makefile
# New ports collection makefile for:    webkit-sharp
[...]
# New ports collection makefile for:            gmime2-sharp (read gmime2-sharp20)
[...]
# New ports collection makefile for:    gnome-sharp (read gnome-desktop-sharp)
[...]
# New ports collection makefile for:    webkit-sharp
[...]
# $FreeBSD: ports/Makefile,v 1.104 2008/07/19 17:59:40 kris Exp $
[ ... original Makefile ]

(webkit-sharp appears twice in the patch but with slightly different
versions, this ``explains'' a part of the mistery... or not!)

Moreover, those ports files are meld at the root of the patched ports
tree! For example, I get a /distinfo containing this:
---
MD5 (webkit-sharp-0.2.tar.bz2) = 8041fba941b7299e432380c86b6dddf8
SHA256 (webkit-sharp-0.2.tar.bz2) = ce0f87546d0a8c0a7f8d2c23075c80e109aa6c5fc30480b42f4c3c14ff5562a9
SIZE (webkit-sharp-0.2.tar.bz2) = 81853
MD5 (gmime-2.2.23.tar.gz) = 21ac53f8df2961c05802f75835431617
SHA256 (gmime-2.2.23.tar.gz) = 1ea66432e6e717f854da2a330a0b44d15cc7e52f08279ccae8904e296a9de107
SIZE (gmime-2.2.23.tar.gz) = 1065120
MD5 (gnome-desktop-sharp-2.24.0.tar.bz2) = 2d36f04223a52e09908ddbdc1c767f5e
SHA256 (gnome-desktop-sharp-2.24.0.tar.bz2) = fc66b3663b61b38c4d53cdee7ea6ace713feba333e022532e9a6933a7a1fef1c
SIZE (gnome-desktop-sharp-2.24.0.tar.bz2) = 309256
MD5 (webkit-sharp-0.2.tar.bz2) = 8041fba941b7299e432380c86b6dddf8
SHA256 (webkit-sharp-0.2.tar.bz2) = ce0f87546d0a8c0a7f8d2c23075c80e109aa6c5fc30480b42f4c3c14ff5562a9
SIZE (webkit-sharp-0.2.tar.bz2) = 81853
---

This is ... weird ... Am I missing some ``--do-it-as-expected'' switch
to the patch utility?

> > 2. net/blam
> > It seems I created a port that already existed instead of updating it.
> > => Merged to trunk (but kept MAN1 aligned with the rest).
> > However, I had it working without any patch, so I guess you should
> > delete net/blam/files/*
> 
> OK, they are removed.

Looks good!

> I did notice that www/webkit-sharp and mail/gmime2-sharp20 were
> missing from my patch.  I've attached an updated patch for your review.

As written earlier, the patch seems to apply weirdly... The only ports
that are not OK are webkit-sharp, gmime2-sharp20 and
gnome-desktop-sharp, that it the 3 whose files are meld at the ports
tree root.

However, just looking at the .diff file, it seems Ok to me.

Thank you!
Romain

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 14 Wesley Shields freebsd_committer 2009-01-20 20:49:04 UTC
On Sat, Jan 17, 2009 at 11:02:46PM +0100, Romain Tarti?re wrote:
> Hi!
> 
> On Fri, Jan 16, 2009 at 03:59:23PM -0500, Wesley Shields wrote:
> > > Problems I found:
> > > =================
> > > 1. Makefile
> > > The root Makefile has been prepended with the content of
> > > x11-toolkits/gnome-desktop-sharp/Makefile...
> > 
> > Can you please explain this?  Maybe I'm just missing the section of the
> > patch you are talking about.
> 
> Hummm ... I rm'd the port tree after and can't see something indicating
> that in the diff ...
> 
> However, the problem has just been reproduced with this new patch:
> 
> shell$ rm -r ports
> shell$ portsnap -p ports extract
> shell$ cd ports
> shell$ cp Makefile Makefile.before
> shell$ patch --silent --remove-empty-files < ../mono.diff
> shell$ diff Makefile.before Makefile
> # New ports collection makefile for:    webkit-sharp
> [...]
> # New ports collection makefile for:            gmime2-sharp (read gmime2-sharp20)
> [...]
> # New ports collection makefile for:    gnome-sharp (read gnome-desktop-sharp)
> [...]
> # New ports collection makefile for:    webkit-sharp
> [...]
> # $FreeBSD: ports/Makefile,v 1.104 2008/07/19 17:59:40 kris Exp $
> [ ... original Makefile ]
> 
> (webkit-sharp appears twice in the patch but with slightly different
> versions, this ``explains'' a part of the mistery... or not!)
> 
> Moreover, those ports files are meld at the root of the patched ports
> tree! For example, I get a /distinfo containing this:
> ---
> MD5 (webkit-sharp-0.2.tar.bz2) = 8041fba941b7299e432380c86b6dddf8
> SHA256 (webkit-sharp-0.2.tar.bz2) = ce0f87546d0a8c0a7f8d2c23075c80e109aa6c5fc30480b42f4c3c14ff5562a9
> SIZE (webkit-sharp-0.2.tar.bz2) = 81853
> MD5 (gmime-2.2.23.tar.gz) = 21ac53f8df2961c05802f75835431617
> SHA256 (gmime-2.2.23.tar.gz) = 1ea66432e6e717f854da2a330a0b44d15cc7e52f08279ccae8904e296a9de107
> SIZE (gmime-2.2.23.tar.gz) = 1065120
> MD5 (gnome-desktop-sharp-2.24.0.tar.bz2) = 2d36f04223a52e09908ddbdc1c767f5e
> SHA256 (gnome-desktop-sharp-2.24.0.tar.bz2) = fc66b3663b61b38c4d53cdee7ea6ace713feba333e022532e9a6933a7a1fef1c
> SIZE (gnome-desktop-sharp-2.24.0.tar.bz2) = 309256
> MD5 (webkit-sharp-0.2.tar.bz2) = 8041fba941b7299e432380c86b6dddf8
> SHA256 (webkit-sharp-0.2.tar.bz2) = ce0f87546d0a8c0a7f8d2c23075c80e109aa6c5fc30480b42f4c3c14ff5562a9
> SIZE (webkit-sharp-0.2.tar.bz2) = 81853
> ---
> 
> This is ... weird ... Am I missing some ``--do-it-as-expected'' switch
> to the patch utility?

Now I see what you mean.  I'm not sure what was causing this but I've
addressed it.

> > > 2. net/blam
> > > It seems I created a port that already existed instead of updating it.
> > > => Merged to trunk (but kept MAN1 aligned with the rest).
> > > However, I had it working without any patch, so I guess you should
> > > delete net/blam/files/*
> > 
> > OK, they are removed.
> Looks good!
> 
> > I did notice that www/webkit-sharp and mail/gmime2-sharp20 were
> > missing from my patch.  I've attached an updated patch for your review.
> As written earlier, the patch seems to apply weirdly... The only ports
> that are not OK are webkit-sharp, gmime2-sharp20 and
> gnome-desktop-sharp, that it the 3 whose files are meld at the ports
> tree root.
> 
> However, just looking at the .diff file, it seems Ok to me.

I've removed the pieces that were causing problems and put them online
as shell archives.  The patch should now apply cleanly and only to the
files expected.  The shar files can be extracted at the root of the
ports tree and everything should be fine.  If you can confirm that this
is what you would like committed to the tree I'll get it sent off for a
-exp run as soon as possible.

The patch is at: http://www.atarininja.org/patches/mono.diff
The shar files are at:

http://www.atarininja.org/patches/gnome-desktop-sharp20.shar
http://www.atarininja.org/patches/webkit-sharp.shar
http://www.atarininja.org/patches/gmime2-sharp20.shar

Would you also like to come up with an entry for UPDATING?  It should
cover any necessary steps that users have to take to make sure the
upgrade goes as smooth as possible.

-- WXS
Comment 15 romain 2009-01-21 10:24:53 UTC
On Tue, Jan 20, 2009 at 03:49:04PM -0500, Wesley Shields wrote:
> I've removed the pieces that were causing problems and put them online
> as shell archives.  The patch should now apply cleanly and only to the
> files expected.  The shar files can be extracted at the root of the
> ports tree and everything should be fine.  If you can confirm that this
> is what you would like committed to the tree I'll get it sent off for a
> -exp run as soon as possible.

Looks good!

> Would you also like to come up with an entry for UPDATING?  It should
> cover any necessary steps that users have to take to make sure the
> upgrade goes as smooth as possible.

AFAICR, switching from one version of mono to another is
straightforward... I remember deinstalling mono 2.0 and installing the
old 1.2.5 from an old package a couple of times and did not run into
any trouble.

Thank you for your work,
Romain

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 16 Wesley Shields freebsd_committer 2009-01-21 14:50:43 UTC
On Wed, Jan 21, 2009 at 11:24:53AM +0100, Romain Tarti?re wrote:
> On Tue, Jan 20, 2009 at 03:49:04PM -0500, Wesley Shields wrote:
> > I've removed the pieces that were causing problems and put them online
> > as shell archives.  The patch should now apply cleanly and only to the
> > files expected.  The shar files can be extracted at the root of the
> > ports tree and everything should be fine.  If you can confirm that this
> > is what you would like committed to the tree I'll get it sent off for a
> > -exp run as soon as possible.
> Looks good!

Great!  I've just mailed portmgr to get an exp run.  It's supposed to be
up after the xorg run.

> > Would you also like to come up with an entry for UPDATING?  It should
> > cover any necessary steps that users have to take to make sure the
> > upgrade goes as smooth as possible.
> AFAICR, switching from one version of mono to another is
> straightforward... I remember deinstalling mono 2.0 and installing the
> old 1.2.5 from an old package a couple of times and did not run into
> any trouble.

Sounds good to me.  Thanks again for your hard work on this.

-- WXS
Comment 17 prudhvikrishna 2009-01-31 11:21:32 UTC
Any update on this?
Comment 18 Wesley Shields freebsd_committer 2009-01-31 12:19:56 UTC
On Sat, Jan 31, 2009 at 11:50:04AM +0000, Prudhvi Krishna wrote:
>  Any update on this?

It is currently going through it's second round of testing on the
cluster.  If there are no problems with this run I should be able to
commit it.

-- WXS
Comment 19 romain 2009-02-02 11:03:09 UTC
Regarding the gmime2 update...

The update to 2.4 seems to break some ports, at least the following do
not properly build against gmime-2.4:
 - mail/mail-notification
 - sysutils/tracker

Tweaking gmime-2.4 Makefiles, it is possible to skip installation of
files that conflicts with gmime-2.2 and so the two packages can exist
side by side.

I did this in trunk:
 - mail/gmime2            - reverted to the version provided with
                            FreeBSD (gmime-2.2.22) so removed from the
			    BSD# repository.
 - mail/gmime2-sharp      - reverted to the version provided with
                            FreeBSD (gmime-sharp-2.2.22_1). Marked
			    IGNORE.
 - mail/gmime2-sharp20    - Removed (Too awful hack)
 - mail/gmime24           - New port (gmime-24-2.4.3)
 - mail/gmime24-sharp     - New port (gmime-24-sharp-2.4.3)

Magic link:
http://code.google.com/p/bsd-sharp/source/detail?r=271
http://code.google.com/p/bsd-sharp/source/detail?r=272 (forgotten rm)

Can you please tell me your opinion about this. I really think that this
is ways better than before! Maybe it is wise to commit something like
that to the FreeBSD ports tree rather than creating conflicts...

What do you think about this?



I am sorry to think making it work that way only now... I was sure there
were some annoying things undergoing (see previous messages about
gmime2) but did not though about fixing things this simple way before
today.

Thank you!
Romain

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 20 Florent Thoumie freebsd_committer 2009-02-09 09:10:21 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!